This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 885802 - NFS errors cause Citrix XenServer VM's to lose disks
NFS errors cause Citrix XenServer VM's to lose disks
Status: CLOSED INSUFFICIENT_DATA
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks: 902856
  Show dependency treegraph
 
Reported: 2012-12-10 11:42 EST by Gerald Brandt
Modified: 2016-02-17 19:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 902856 (view as bug list)
Environment:
Last Closed: 2013-08-28 07:13:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Brandt 2012-12-10 11:42:41 EST
Description of problem:
NFS log fills up with errors, load goes very high, and XenServer VM timeout on disk access, remounting them RO or crashing

Version-Release number of selected component (if applicable):
3.3.1

How reproducible:
Use NFS with XenServer and wait

Steps to Reproduce:
1.
2.
3.
  
Actual results:
log fills up with:
[2012-12-08 16:12:56.170509] E [nfs3.c:2163:nfs3_write_resume] 0-nfs-nfsv3: Unable to resolve FH: (192.168.20.13:943) NFS_RAID6_FO : 06799271-0ef4-4b7c-96ed-175c2c84994a
[2012-12-08 16:12:56.187355] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: c81a4c3f, WRITE: NFS: 2(No such file or directory), POSIX: 14(Bad address)
[2012-12-08 16:12:57.197321] E [nfs3.c:2163:nfs3_write_resume] 0-nfs-nfsv3: Unable to resolve FH: (192.168.20.13:943) NFS_RAID6_FO : 06799271-0ef4-4b7c-96ed-175c2c84994a
[2012-12-08 16:12:57.197355] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: 9e1b4c3f, WRITE: NFS: 2(No such file or directory), POSIX: 14(Bad address)


Expected results:
no errors, no loss of access

Additional info:
Comment 1 Gerald Brandt 2012-12-10 11:44:07 EST
This is on Ubuntu 12.04 LTS

Note You need to log in before you can comment on or make changes to this bug.